org.apache.tinkerpop.gremlin.groovy.jsr223.customizer

## Class TinkerPopSandboxExtension

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.lang.Script
    - - org.codehaus.groovy.transform.stc.GroovyTypeCheckingExtensionSupport.TypeCheckingDSL
      - - org.apache.tinkerpop.gremlin.groovy.jsr223.customizer.AbstractSandboxExtension
        - - org.apache.tinkerpop.gremlin.groovy.jsr223.customizer.TinkerPopSandboxExtension

- All Implemented Interfaces:
    groovy.lang.GroovyObject

      public class TinkerPopSandboxExtension
      extends AbstractSandboxExtension

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TinkerPopSandboxExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `allowAutoTypeOfUnknown()`
    `List<String>` | `getMethodWhiteList()`
    `Map<String,Class<?>>` | `getStaticVariableTypes()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.groovy.jsr223.customizer.AbstractSandboxExtension

      `run`

    - ### Methods inherited from class org.codehaus.groovy.transform.stc.GroovyTypeCheckingExtensionSupport.TypeCheckingDSL

      `getProperty, invokeMethod, setProperty`

    - ### Methods inherited from class groovy.lang.Script

      `evaluate, evaluate, getBinding, print, printf, printf, println, println, run, setBinding`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, setMetaClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TinkerPopSandboxExtension

          public TinkerPopSandboxExtension()

  - ### Method Detail

    - #### getMethodWhiteList

          public List<String> getMethodWhiteList()

      Specified by:
        `getMethodWhiteList` in class `AbstractSandboxExtension`

    - #### getStaticVariableTypes

          public Map<String,Class<?>> getStaticVariableTypes()

      Specified by:
        `getStaticVariableTypes` in class `AbstractSandboxExtension`

    - #### allowAutoTypeOfUnknown

          public boolean allowAutoTypeOfUnknown()

      Overrides:
        `allowAutoTypeOfUnknown` in class `AbstractSandboxExtension`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.